package PhdOnto2;

import jade.content.onto.*;
import jade.content.schema.*;

/** file: PhdOnto2Ontology.java
 * @author OntologyBeanGenerator v5.0
 * @version 2020/02/11, 21:13:18
 */
public class PhdOnto2Ontology extends jade.content.onto.BeanOntology  {

  private static final long serialVersionUID = 8805432973305221609L;

  public static final String ONTOLOGY_NAME = "PhdOnto2";

  private static BeanOntology theInstance = new PhdOnto2Ontology();

  public static BeanOntology getInstance() {
     return theInstance;
  }

  private PhdOnto2Ontology(){ 
    super(ONTOLOGY_NAME, BasicOntology.getInstance());
    try { 
        //Concepts
        add(PhdOnto2.StateOfError.class);
        add(PhdOnto2.impl.DefaultStateOfError.class);
        add(PhdOnto2.C1.class);
        add(PhdOnto2.impl.DefaultC1.class);
        add(PhdOnto2.C2.class);
        add(PhdOnto2.impl.DefaultC2.class);
        add(PhdOnto2.C3.class);
        add(PhdOnto2.impl.DefaultC3.class);
        add(PhdOnto2.Application.class);
        add(PhdOnto2.impl.DefaultApplication.class);
        add(PhdOnto2.BadBehaviour.class);
        add(PhdOnto2.impl.DefaultBadBehaviour.class);
        add(PhdOnto2.Failure.class);
        add(PhdOnto2.impl.DefaultFailure.class);
        add(PhdOnto2.Crash.class);
        add(PhdOnto2.impl.DefaultCrash.class);
        add(PhdOnto2.Machine.class);
        add(PhdOnto2.impl.DefaultMachine.class);
        //AgentActions
        add(PhdOnto2.GetFailureList.class);
        add(PhdOnto2.impl.DefaultGetFailureList.class);
        add(PhdOnto2.GetApplicationLIst.class);
        add(PhdOnto2.impl.DefaultGetApplicationLIst.class);
        add(PhdOnto2.Service.class);
        add(PhdOnto2.impl.DefaultService.class);
        //AIDs
        //Predicates
    }catch (BeanOntologyException e) {e.printStackTrace();}
  }
}
